OrderCollection {cheddar} | R Documentation

## Order a collection of communities

### Description

Order a `CommunityCollection`

### Usage

    OrderCollection(collection, ..., decreasing=FALSE)

### Arguments

`collection` | an object of class `CommunityCollection`.
`...` | the names of properties by which to order the communities.
`decreasing` | logical.

### Value

A `CommunityCollection`.

### Author(s)

Lawrence Hudson

### See Also

`CommunityCollection`, `order`, `CollectionCPS`

### Examples

    data(pHWebs)
    CollectionCPS(pHWebs, c('pH', 'NumberOfNodes'))

    # Order by name
    pHWebs.name <- OrderCollection(pHWebs, 'title')
    CollectionCPS(pHWebs.name, c('pH', 'NumberOfNodes'))

    # Order by decreasing pH
    pHWebs.decreasing.pH <- OrderCollection(pHWebs, 'pH', decreasing=TRUE)
    CollectionCPS(pHWebs.decreasing.pH, c('pH', 'NumberOfNodes'))

    # Order by increasing diversity
    pHWebs.increasing.S <- OrderCollection(pHWebs, 'NumberOfNodes')
    CollectionCPS(pHWebs.increasing.S, c('pH', 'NumberOfNodes'))

[Package cheddar version 0.1-633 Index]